org.wso2.carbon.ml.rest.api.model

## Class MLProjectBean

- java.lang.Object
- - org.wso2.carbon.ml.rest.api.model.MLProjectBean

-     public class MLProjectBean
      extends Object

  Represent a Project in ML.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLProjectBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MLAnalysisBean>` | `getAnalyses()`
    `String` | `getCreatedTime()`
    `long` | `getDatasetId()`
    `String` | `getDatasetName()`
    `String` | `getDatasetStatus()`
    `String` | `getDescription()`
    `long` | `getId()`
    `String` | `getName()`
    `void` | `setAnalyses(List<MLAnalysisBean> analyses)`
    `void` | `setCreatedTime(String createdTime)`
    `void` | `setDatasetId(long datasetId)`
    `void` | `setDatasetName(String datasetName)`
    `void` | `setDatasetStatus(String datasetStatus)`
    `void` | `setDescription(String description)`
    `void` | `setId(long id)`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MLProjectBean

          public MLProjectBean()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getCreatedTime

          public String getCreatedTime()

    - #### setCreatedTime

          public void setCreatedTime(String createdTime)

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getDatasetName

          public String getDatasetName()

    - #### setDatasetName

          public void setDatasetName(String datasetName)

    - #### getDatasetId

          public long getDatasetId()

    - #### setDatasetId

          public void setDatasetId(long datasetId)

    - #### getDatasetStatus

          public String getDatasetStatus()

    - #### setDatasetStatus

          public void setDatasetStatus(String datasetStatus)

    - #### getAnalyses

          public List<MLAnalysisBean> getAnalyses()

    - #### setAnalyses

          public void setAnalyses(List<MLAnalysisBean> analyses)

Copyright © 2018 WSO2, Inc.. All rights reserved.